# OgreExternalTextureSource.h File Reference

`#include "OgreStringInterface.h"`
`#include "OgreResourceGroupManager.h"`

Go to the source code of this file.

## Classes

class | Ogre::ExternalTextureSource
| IMPORTANT: **Plugins must override default dictionary name!** Base class that texture plugins derive from. More...
class | Ogre::ExternalTextureSource::CmdInputFileName
class | Ogre::ExternalTextureSource::CmdFPS
class | Ogre::ExternalTextureSource::CmdPlayMode
class | Ogre::ExternalTextureSource::CmdTecPassState

## Namespaces

namespace | Ogre

## Enumerations

enum | Ogre::eTexturePlayMode { Ogre::TextureEffectPause = 0, Ogre::TextureEffectPlay_ASAP = 1, Ogre::TextureEffectPlay_Looping = 2 }
| Enum for type of texture play mode. More...

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:09